Avid Pro Audio Community

Avid Pro Audio Community

How to Join & Post  •  Community Terms of Use  •  Help Us Help You

Knowledge Base Search  •  Community Search  •  Additional Resources


Avid Home Page

Go Back   Avid Pro Audio Community > Pro Tools Software > Pro Tools 2018

Reply
 
Thread Tools Search this Thread Display Modes
  #1  
Old 07-09-2018, 03:05 AM
blankpro blankpro is offline
Member
 
Join Date: Mar 2000
Location: Greenwich, CT
Posts: 153
Default OS 10.13.5 - will PT 2018.4 or .5 work well or stay with 2018.13?

I have OS 10.13.5 on MacBook Pro - running ok with PT 2018.3


Will PT 2018.4 or .5 work well or stay with 2018.3?
Reply With Quote
  #2  
Old 07-10-2018, 10:56 PM
cwsand's Avatar
cwsand cwsand is online now
Moderator
 
Join Date: Feb 2006
Location: Nashville, TN
Posts: 3,043
Default Re: OS 10.13.5 - will PT 2018.4 or .5 work well or stay with 2018.13?

Quote:
Originally Posted by blankpro View Post
I have OS 10.13.5 on MacBook Pro - running ok with PT 2018.3


Will PT 2018.4 or .5 work well or stay with 2018.3?

2018.4.0 (the latest release) works great for me on 10.13.5.
__________________
Help Us Help You



Chris
__________________________________________________
Focusrite Liquid Saffire 56
TCE Studio Konnekt 48
PreSonus Digimax LT
Gigabyte GA-Z170-HD3P / i7 6700K 4.1 GHz / 32GB Crucial DDR4
macOS Sierra Version 10.13.5
Pro Tools HD 2018.4.0
Reply With Quote
  #3  
Old 07-11-2018, 02:56 AM
Pete Morten Pete Morten is offline
Member
 
Join Date: Jun 2018
Location: Stamford
Posts: 1
Default Re: OS 10.13.5 - will PT 2018.4 or .5 work well or stay with 2018.13?

Hi guys. Don't suppose anyone can tell me if 2018.4 will run-on High Sierra 10.13.6.

I'm currently running Protools 2018.4 on High Sierra 10.13.3 and its working great, but I have an update from Apple, to upgrade to 10.13.6
Should I do it, or will I run into problems, using Protools, if I do?.

Thanks for any help in advance.

Best
Pete
Reply With Quote
  #4  
Old 07-11-2018, 08:01 AM
Rich Breen Rich Breen is offline
Member
 
Join Date: Dec 1969
Location: Burbank, CA USA
Posts: 1,438
Default Re: OS 10.13.5 - will PT 2018.4 or .5 work well or stay with 2018.13?

nothing past 10.13.3 is approved by Avid - upgrade at your own risk.
__________________
rich@richbreen.com
http://www.richbreen.com

----------------------------------------
MacPro 5,1 Dual Hex, OS 10.12.6, PT 2018 HDX, Avid HD I/Os and Metric Halo ULN8, Avid C24.
Reply With Quote
  #5  
Old 07-11-2018, 07:22 PM
SDDP SDDP is offline
Member
 
Join Date: Nov 2003
Location: Los Angles, CA
Posts: 444
Default Re: OS 10.13.5 - will PT 2018.4 or .5 work well or stay with 2018.13?

Quote:
Originally Posted by Pete Morten View Post
Hi guys. Don't suppose anyone can tell me if 2018.4 will run-on High Sierra 10.13.6.

I'm currently running Protools 2018.4 on High Sierra 10.13.3 and its working great, but I have an update from Apple, to upgrade to 10.13.6
Should I do it, or will I run into problems, using Protools, if I do?.

Thanks for any help in advance.

Best
Pete
Just from my own personal experience.. Who cares if Apple has an update or not. Do you need it to make your software work?
Can you continue doing work with what you have?



There is no reason to ever update anything unless there is something that the system needs to move on i.e. to make another software you bought your some feature that you need to get the work done.

Now, I would start the update from the apple store for a spilt second and then stop. So that way it is in your account. And if some point WAY into the future you need HS and it is no longer available, the fact it is in your cart you can at a later point in time download it.

I am on PT11HD on 10.10.5. My system is running flawlessly. Would getting 12 or 2018 behoove me? Absolutely!
Do I need the update critically to mix the films I am working on currently? NO
I did start the download on Sierra and High Sierra so that the day I do upgrade to 2018 and S/HS is no longer available because Apple has moved on to Jupiter or what ever name, it will be there for me.
Just because an upgrade is available doesn't mean it should be downloaded. ESPECIALLY if you are using PT as your lively hood. Things can go haywire and act up and who needs that stress just to have the latest and greatest pretty colors.
__________________
-Mac Pro 12core 2.4GHz Westmere 40g OS 10.10.5
-OSX 10.8.5
-PTHDN 11.3.2 & PTHDN 10.3.8
-HD Omni
-BM Intensity Pro
-Waves Mercury + SSL 4000 Collection
-iZotope RX5 Advanced
-Ozone 3
-Delonghi Perfecta ESAM 5600.S
Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Pro Tools 2018.3 / 2018.4 crashing when switching window configurations matthewmkb Pro Tools Software (Mac) 0 06-27-2018 06:33 AM
Upgrading from 2018.1 to 2018.3 with Application Manager lm183902 Pro Tools 2018 2 03-19-2018 04:41 PM
Reverting from 2018.3 to 2018.1 jamesleonard Pro Tools 2018 11 03-12-2018 05:21 AM
Xpand!2 2018 & Air Instruments 2018 lgreen100 Pro Tools 2018 16 02-15-2018 05:01 PM
Making 12.8.3 Work after linking license to 2018.1?? Uncle8ill Pro Tools Software (Win) 8 02-13-2018 10:14 AM


All times are GMT -7. The time now is 08:15 PM.


Powered by: vBulletin, Copyright ©2000 - 2008, Jelsoft Enterprises Limited. Forum Hosted By: URLJet.com